Description

It would be very useful to have also the geometry subtype (not only the type) in the Properties text area, General tab of "Layer
properties". For instance, it would allow to understand if a multiCurve geometry type is 2D, 3D, 2DM or 3DM.

Associated revisions
Revision 42756 - 02/28/2016 07:55 PM - Joaquín  del Cerro Murciano

refs #4124. add the subtype of geometry in the properties dialog of layer

Revision 42812 - 06/15/2016 05:46 PM - Joaquín  del Cerro Murciano

refs  #4124 .Eliminado la informacion del subtipo del nombre en getFullName() del GeometryType

History
#1 - 02/28/2016 07:56 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE) 
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 03/14/2016 11:34 AM - Antonio Falciano
- Target version changed from 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE)  to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Fixed to New

The geometry subtype is added, thanks. Maybe it can be further refined skipping the separator (colon), e.g. MultiSurface2D (instead of
MultiSurface:2D), or avoiding redundancies, e.g. Point2D (in place of Point2D:2D).

#3 - 06/15/2016 05:49 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Antonio Falciano wrote:

The geometry subtype is added, thanks. Maybe it can be further refined skipping the separator (colon), e.g. MultiSurface2D (instead of
MultiSurface:2D), or avoiding redundancies, e.g. Point2D (in place of Point2D:2D).

Modificado para que no aparezca el subtipo junto al nombre del tipo de geometria. Lo de la separacion (colon) entre tipo y subtipo de geometria lo
mantengo.

#4 - 06/15/2016 05:50 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)

#5 - 06/22/2016 12:44 PM - Antonio Falciano
- Target version changed from 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE) to 2.3.0-2430 (rev. org.gvsig.desktop-2.0.136, NOT 
USABLE)
- Status changed from Fixed to Closed
